EDIT - bug #8662

"Remove Taxon" in DescriptiveDataSetEditor should only be visible if taxon is selected

11/07/2019 03:53 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

... im Taxon filter als Kontextmen(. Auch wenn noch gar kein Taxon dort angezeigt wird.

Auch wenn Taxa existieren, wird das Kontextmen( angezeigt und willkirlich das erste Taxon gewahlt wenn man gar nicht auf ein
Taxon geklickt hat. Das ist geféhrlich, da man im schlimmsten Fall gar nicht mitbekommt, dass man das Taxon ausgew&hit hat. Das

Menii sollte nur angezeigt werden, wenn man auf das entsprechende Taxon klickt.

Associated revisions

Revision b529af04 - 05/04/2020 01:29 PM - Katja Luther

fix #8662: adapt canExecute to show remove taxon only when top level node is selected

History

#1 - 12/09/2019 01:31 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther
- Priority changed from New to Highest

- Target version changed from 287 to Release 5.12

#2 - 01/16/2020 01:14 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#3 - 03/09/2020 04:27 PM - Andreas Miuller

- Target version changed from Release 5.13 to Release 5.14

#4 - 04/08/2020 03:49 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#5 - 05/04/2020 01:28 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|b529af0445dcd7025081ff2¢c1c40926a29f9d79c.

#6 - 05/04/2020 01:39 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

now the menu item is available only if the selection is a taxon node, so it should show up, only when the node can be removed (only the top level

nodes).

please review.

#7 - 06/04/2020 12:13 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 90
If the tree list is empty it works now as expected.
Auch wenn Taxa existieren, wird das Kontextmen( angezeigt und willkirlich das erste Taxon gewé&hlt wenn man gar nicht auf ein Taxon geklickt

hat. Das ist geféhrlich, da man im schlimmsten Fall gar nicht mitbekommt, dass man das Taxon ausgewahlt hat. Das MenU sollte nur angezeigt
werden, wenn man auf das entsprechende Taxon klickt.

When clicking somewhere in the tree controle still the first entry gets the focus even if it was never clicked. This is not really expected. However, it is
the same in taxon navigator (but there it is more critical). So for now in the DescriptiveDataSetEditor we can probably live with it.
Please decide if you want to close the ticket or fix the remaining issue.
#8 - 06/09/2020 04:12 PM - Katja Luther
- Status changed from Feedback to Closed
Andreas Miller wrote:

If the tree list is empty it works now as expected.

Auch wenn Taxa existieren, wird das Kontextment angezeigt und willkirlich das erste Taxon gewé&hlt wenn man gar nicht auf ein Taxon

geklickt hat. Das ist gefahrlich, da man im schlimmsten Fall gar nicht mitbekommt, dass man das Taxon ausgewahlt hat. Das Meni sollte
nur angezeigt werden, wenn man auf das entsprechende Taxon klickt.

When clicking somewhere in the tree controle still the first entry gets the focus even if it was never clicked. This is not really expected. However,
it is the same in taxon navigator (but there it is more critical). So for now in the DescriptiveDataSetEditor we can probably live with it.

Please decide if you want to close the ticket or fix the remaining issue.

The selection is set by the treeViewer and | could not find a solution to avoid this, therefore | close this ticket. If the users complain about it, we have
to do some more research to find a solution.
